Commit fa22c50e authored by Cool Fire's avatar Cool Fire
Browse files

Bump module versions

+ Switch back to upstream modules which have had their breakages fixed
+ Switch to some forked modules which appear to be poorly maintained,
but no good replacement has been found yet.
+ Switch to different (compatible) sysctl module provider.
parent ab7b4e5d
......@@ -4,10 +4,10 @@ forge "https://forgeapi.puppetlabs.com"
# Modules from puppetforge
mod 'alexharvey-firewall_multi'
mod 'arioch-redis', '3.3.0'
mod 'danfoster-sysfs'
mod 'herculesteam-augeasproviders_sysctl'
mod 'KyleAnderson-consul'
mod 'lvicainne-opendkim', '0.2.6'
mod 'puppet-fail2ban'
mod 'puppet-letsencrypt'
mod 'puppet-logrotate'
mod 'puppet-nginx'
......@@ -21,13 +21,10 @@ mod 'puppetlabs-tftp'
mod 'puppetlabs-vcsrepo'
mod 'saz-resolv_conf'
mod 'saz-sudo'
mod 'thias-sysctl'
# Modules from git
# Forked to use newer version of puppetlabs-apt
mod 'garethr-docker',
:git => 'https://github.com/cFire/garethr-docker',
:ref => '9602568'
mod 'puppet-fail2ban',
:git => 'https://github.com/cFire/puppet-fail2ban',
:ref => 'd6269a0'
# Forked to use newer versions
mod 'arioch-redis',
:git => 'https://github.com/cFire/puppet-redis'
mod 'lvicainne-opendkim',
:git => 'https://github.com/cFire/puppet-opendkim'
FORGE
remote: https://forgeapi.puppetlabs.com
specs:
KyleAnderson-consul (5.0.2)
KyleAnderson-consul (5.0.3)
camptocamp-systemd (< 3.0.0, >= 1.1.1)
puppet-archive (< 4.0.0, >= 2.0.0)
puppetlabs-powershell (< 3.0.0, >= 2.1.3)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
alexharvey-firewall_multi (1.11.0)
alexharvey-firewall_multi (1.12.0)
puppetlabs-firewall (< 2.0.0, >= 1.10.0)
arioch-redis (3.3.0)
herculesteam-augeasproviders_core (< 3.0.0, >= 2.1.0)
herculesteam-augeasproviders_sysctl (< 3.0.0, >= 2.1.0)
puppetlabs-apt (< 5.0.0, >= 2.3.0)
puppetlabs-stdlib (< 5.0.0, >= 1.0.2)
stahnma-epel (< 2.0.0, >= 1.2.2)
camptocamp-systemd (2.1.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
danfoster-sysfs (0.2.0)
puppetlabs-concat (>= 0)
puppetlabs-stdlib (>= 1.0.0)
herculesteam-augeasproviders_core (2.1.4)
puppetlabs-stdlib (< 5.0.0, >= 3.2.0)
herculesteam-augeasproviders_sysctl (2.2.0)
herculesteam-augeasproviders_core (2.2.0)
puppetlabs-stdlib (< 6.0.0, >= 3.2.0)
herculesteam-augeasproviders_sysctl (2.2.1)
herculesteam-augeasproviders_core (< 3.0.0, >= 2.1.0)
lvicainne-opendkim (0.2.6)
puppetlabs-stdlib (< 5.0.0, >= 4.13.0)
puppet-archive (3.2.1)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppet-extlib (2.3.1)
puppet-extlib (3.1.0)
puppetlabs-stdlib (< 6.0.0, >= 4.6.0)
puppet-letsencrypt (2.4.0)
puppet-fail2ban (2.4.1)
puppet-extlib (< 4.0.0, >= 2.3.0)
puppetlabs-stdlib (< 6.0.0, >= 4.25.0)
puppet-letsencrypt (3.0.0)
puppetlabs-inifile (< 3.0.0, >= 2.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppetlabs-vcsrepo (< 3.0.0, >= 2.0.0)
stahnma-epel (< 2.0.0, >= 1.0.0)
puppet-logrotate (3.3.0)
puppetlabs-stdlib (< 5.0.0, >= 4.22.0)
puppet-nginx (0.13.0)
puppetlabs-concat (< 5.0.0, >= 3.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.22.0)
puppet-nodejs (5.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppet-logrotate (3.4.0)
puppetlabs-stdlib (< 6.0.0, >= 4.22.0)
puppet-nginx (0.16.0)
puppetlabs-concat (< 6.0.0, >= 3.0.0)
puppetlabs-stdlib (< 6.0.0, >= 5.0.0)
puppet-nodejs (7.0.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppet-snmp (4.1.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppet-staging (3.2.0)
puppetlabs-apt (4.5.1)
puppetlabs-stdlib (< 5.0.0, >= 4.16.0)
puppetlabs-concat (4.2.1)
puppetlabs-stdlib (< 5.0.0, >= 4.13.1)
puppetlabs-firewall (1.12.0)
puppetlabs-stdlib (< 5.0.0, >= 4.0.0)
puppetlabs-inifile (2.3.0)
puppetlabs-mysql (6.0.0)
puppet-staging (< 4.0.0, >= 1.0.1)
puppetlabs-stdlib (< 5.0.0, >= 3.2.0)
puppetlabs-apt (6.3.0)
puppetlabs-stdlib (< 6.0.0, >= 4.16.0)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-concat (5.2.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-firewall (1.15.1)
puppetlabs-stdlib (< 6.0.0, >= 4.0.0)
puppetlabs-inifile (2.5.0)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-mysql (8.0.0)
puppetlabs-stdlib (< 6.0.0, >= 3.2.0)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-powershell (2.2.0)
puppetlabs-stdlib (4.25.1)
puppetlabs-stdlib (5.2.0)
puppetlabs-tftp (1.0.0)
puppetlabs-xinetd (< 4.0.0, >= 1.1.0)
puppetlabs-translate (1.1.0)
puppetlabs-vcsrepo (2.3.0)
puppetlabs-xinetd (3.0.0)
puppetlabs-stdlib (< 5.0.0, >= 4.6.0)
saz-resolv_conf (4.0.0)
puppetlabs-stdlib (< 5.0.0, >= 2.6.0)
saz-sudo (5.0.0)
puppetlabs-stdlib (< 5.0.0, >= 2.6.0)
puppetlabs-translate (1.2.0)
puppetlabs-vcsrepo (2.4.0)
puppetlabs-xinetd (3.2.0)
puppetlabs-stdlib (< 6.0.0, >= 4.6.0)
saz-resolv_conf (4.1.0)
puppetlabs-stdlib (< 6.0.0, >= 2.6.0)
saz-sudo (6.0.0)
puppetlabs-stdlib (< 7.0.0, >= 2.6.0)
stahnma-epel (1.3.1)
puppetlabs-stdlib (>= 3.0.0)
thias-sysctl (1.0.6)
GIT
remote: https://github.com/cFire/garethr-docker
ref: 9602568
sha: 960256846da57c5614e335fe49d68a50fb7dbae1
remote: https://github.com/cFire/puppet-opendkim
ref: master
sha: c140b192371e23ca3fd93a9d5c37d12d9cebedbe
specs:
garethr-docker (5.3.0)
puppetlabs-apt (<= 4.5.1, >= 1.8.0)
puppetlabs-stdlib (>= 4.1.0)
stahnma-epel (>= 0.0.6)
lvicainne-opendkim (0.2.7)
puppetlabs-stdlib (< 7.0.0, >= 4.13.0)
GIT
remote: https://github.com/cFire/puppet-fail2ban
ref: d6269a0
sha: d6269a054f163f46a3b4e7a665ca616138061cf1
remote: https://github.com/cFire/puppet-redis
ref: master
sha: 0295c44121eb5a9b8309a2944252e2e87c890cd1
specs:
puppet-fail2ban (2.4.0)
puppet-extlib (< 3.0.0, >= 2.3.0)
puppetlabs-stdlib (< 6.0.0, >= 4.25.0)
arioch-redis (3.3.0)
herculesteam-augeasproviders_core (< 3.0.0, >= 2.1.0)
herculesteam-augeasproviders_sysctl (< 3.0.0, >= 2.1.0)
puppetlabs-apt (< 7.0.0, >= 2.3.0)
puppetlabs-stdlib (< 7.0.0, >= 1.0.2)
stahnma-epel (< 2.0.0, >= 1.2.2)
DEPENDENCIES
KyleAnderson-consul (>= 0)
alexharvey-firewall_multi (>= 0)
arioch-redis (= 3.3.0)
arioch-redis (>= 0)
danfoster-sysfs (>= 0)
garethr-docker (>= 0)
lvicainne-opendkim (= 0.2.6)
herculesteam-augeasproviders_sysctl (>= 0)
lvicainne-opendkim (>= 0)
puppet-fail2ban (>= 0)
puppet-letsencrypt (>= 0)
puppet-logrotate (>= 0)
......@@ -111,5 +107,4 @@ DEPENDENCIES
puppetlabs-vcsrepo (>= 0)
saz-resolv_conf (>= 0)
saz-sudo (>= 0)
thias-sysctl (>= 0)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment